# dotacat

dotacat is meant to be a replacement to lolcat.

## Why?

Speed!

```
$ time echo hi | lolcat
real    0m0.422s
user    0m0.393s
sys     0m0.028s
```

I use lolcat in my `.bashrc` file, so this amount of time is not ideal for me.

In contrast:

```
time echo hi | dotacat

real    0m0.045s
user    0m0.030s
sys     0m0.020s

```

## Why the name?

Because Dota is better than LoL (According to people - I play neither)

## Installation

If you have cargo installed, just run: `cargo install dotacat`

If not, head over to the [releases page](https://git.scd31.com/stephen/dotacat/releases) and download the latest release. Then run:

```
sudo mv dotacat /bin/
sudo chmod +x /bin/dotacat
```

## Usage

```
USAGE:
    dotacat [FLAGS] [OPTIONS] [files]...

ARGS:
    <files>...    Files to concatenate(`-` for STDIN)

FLAGS:
    -h, --help       Prints help information
    -i, --invert     Invert fg and bg
    -V, --version    Prints version information

OPTIONS:
    -F, --freq <freq>        Rainbow frequency [default: 0.1]
    -S, --seed <seed>        Rainbow seed, 0 = random [default: 0.0]
    -p, --spread <spread>    Rainbow spread [default: 1.0]

Examples:
	dotacat f - g	Output f's contents, then stdin, then g's contents.
	fortune | dotacat	Display a rainbow cookie.
```